this.name = "NShields_player";

"use strict";

this.startUpComplete = function()
{
	//Give player same colours etc. as standard NPCs
	player.ship.script.NShields_flashers = worldScripts.NShields.$getShieldColours(player.ship);
	player.ship.script.NShields_exploder = worldScripts.NShields.$getShieldExploder(player.ship);
	
	if (player.ship.scriptInfo) // slightly more complicated than for NPCs because other OXPs may have adjusted shields already:
	{
		if (player.ship.scriptInfo.max_shield_forward) player.ship.maxForwardShield += (parseInt(ship.scriptInfo.max_shield_forward) - 128);
		if (player.ship.scriptInfo.max_shield_aft) player.ship.maxAftShield += (parseInt(ship.scriptInfo.max_shield_aft) - 128);
		if (player.ship.scriptInfo.shield_recharge_forward) player.ship.forwardShieldRechargeRate += (parseFloat(ship.scriptInfo.shield_recharge_forward) - 2);
		if (player.ship.scriptInfo.shield_recharge_aft) player.ship.aftShieldRechargeRate += (parseFloat(ship.scriptInfo.shield_recharge_aft) - 2);
	}
}
this.shipTakingDamage = function(amount, whom, type)
{
	if (type == "heat damage" || type == "hit a planet" || type == "hit a sun" || type == "removed" || type == "cascade weapon") return;
	var hitLocation = worldScripts.NShields.$locateHit(player.ship, whom);
	var hitLocationRelative = hitLocation.subtract(player.ship.position);
	if (hitLocationRelative.dot(player.ship.vectorForward) > 0)
	{
		worldScripts.NShields.$drawShieldFX(hitLocation, player.ship.forwardShield, player.ship, whom)
	}
	else
	{
		worldScripts.NShields.$drawShieldFX(hitLocation, player.ship.aftShield, player.ship, whom)
	}
	
	if (amount) worldScripts.NShields.$drawSparks(hitLocation, player.ship, amount);
}